<?php

class BETREIBERDATEN{
	function post(){
		global $_POST;
		if($_POST['updaten_betreiberdaten'] == 'Updaten'){ $this->updaten(); }
		if($_POST['updaten_betreiberdaten'] == 'Hinzufuegen !'){ $this->hinzufuegen();}
		if($_POST['updaten_betreiberdaten'] == 'Loeschen !'){ $this->loeschen();}
	}
	
	
	public function post_pruef(){
		global $_POST,$error,$meldung;
		if(empty($_POST['name'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_NAME_FALSE;}
		if(empty($_POST['betreiber_id']) OR !is_numeric($_POST['betreiber_id'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_BID_FALSE;}
		if(empty($_POST['betreiber_passwort'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_BPW_FALSE;}
		if(empty($_POST['schnittstelle'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_DATEI;}
		if(empty($_POST['einzahltext'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_EINZAHLTEXT;}
		if(empty($_POST['auszahltext'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_AUSZAHLTEXT;}
		if($_POST['anfragen_tag'] != 0 AND (empty($_POST['anfragen_tag']) OR !is_numeric($_POST['anfragen_tag'])) ){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_ANFRAGEN_TAG;}
		if($_POST['anfragen_user'] != 0 AND (empty($_POST['anfragen_user']) OR !is_numeric($_POST['anfragen_user'])) ){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_ANFRAGEN_USER;}
		if(empty($_POST['waehrung_name'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_WNAME;}
		if(empty($_POST['punktewert']) OR !is_numeric($_POST['punktewert'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_PUNKTEWERT;}
		if(empty($_POST['wertepunkt']) OR !is_numeric($_POST['wertepunkt'])){ $error = 1; $meldung .= POST_PRUEF_BETREIBERDATEN_WERTPUNKTE;}
		if($_POST['aktiv'] == 'on'){ $_POST['aktiv'] = 1;}else{ $_POST['aktiv'] = 0;}
		if($_POST['aktiv_ein'] == 'on'){ $_POST['aktiv_ein'] = 1;}else{ $_POST['aktiv_ein'] = 0;}
		if($_POST['aktiv_aus'] == 'on'){ $_POST['aktiv_aus'] = 1;}else{ $_POST['aktiv_aus'] = 0;}
	}
	
	public function post_array($daten){
		global $datenbank;
		foreach($daten as $key => $value) {
			if($key != 'updaten_betreiberdaten' AND $key != 'updaten'){
				$array[$key] = $datenbank->escape($value);
			}
		}
		return $array;
	}
	
	public function hinzufuegen(){
		global $datenbank,$_POST,$error,$meldung;
		$this->post_pruef();
		if($error == 0){
			$insert = $datenbank->insert(PREFIX . SCHNITT , $this->post_array($_POST));
			if($insert == true){
				$meldung = BETREIBERDATEN_SAVE_TRUE;
			}else{
				$error = 1;
				$meldung = BETREIBERDATEN_SAVE_FALSE;
			}
		}
	}
	
	public function updaten(){
		global $datenbank,$_POST,$error,$meldung;
		$this->post_pruef();
		$update = $datenbank->update(PREFIX . SCHNITT , $this->post_array($_POST) , array("schnittstelle" => $datenbank->escape($_POST['schnittstelle']) ) , 1);
		if($update == true){
			$meldung = BETREIBERDATEN_SAVE_TRUE;
		}else{
			$error = 1;
			$meldung = BETREIBERDATEN_SAVE_FALSE;
		}
	}
	
	public function loeschen(){
		global $datenbank,$_POST,$error,$meldung;
	}
	
	function schnitt_zeigen($id){
		global $datenbank;
		$daten = $datenbank->get_row("SELECT * FROM " . PREFIX . SCHNITT . " WHERE schnittstelle = '". $datenbank->escape($id) ."' ",true);

		$aktiv = array("aktiv" => '', "aktiv_ein" => '', "aktiv_aus" => '');
		if($daten->aktiv == 1){ $aktiv['aktiv'] = 'checked';}
		if($daten->aktiv_ein == 1){ $aktiv['aktiv_ein'] = 'checked';}
		if($daten->aktiv_aus == 1){ $aktiv['aktiv_aus'] = 'checked';}

		$aus = '
		<div role="tabpanel" class="tab-pane" id="'. $id .'">
			<form action="" method="post">
				<input class="form-control"  type="hidden" name="schnittstelle" value="'. $id .'">
				<div class="row">
					<div class="col-md-6">Name der Schnitstelle</div>
					<div class="col-md-6"><input type="text" class="form-control" name="name" value="'. $daten->name .'"></div>
					<br><hr>
					<div class="col-md-6">Betreiber-ID</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_id" value="'. $daten->betreiber_id .'"></div>
					<br><hr>
					<div class="col-md-6">Betreiberpasswort</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_passwort" value="'. $daten->betreiber_passwort .'"></div>
					<br><hr>
					<div class="col-md-6">Betreiberkennung<br><i>Sofern notwendig</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_kennung" value="'. $daten->betreiber_kennung .'"></div>
					<br><hr>
					<div class="col-md-6">Schnittstelle<br><i>Dateiname der Schnittstelle</i></div>
					<div class="col-md-6">
						<div class="form-group">
							<div class="input-group">
								<input type="text" class="form-control" name="schnittstelle" value="'. $daten->schnittstelle .'">
								<div class="input-group-addon">.php</div>
							</div>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">Einzahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahltext" value="'. $daten->einzahltext .'"  ></div>
					<br><hr>
					<div class="col-md-6">Auszahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahltext" value="'. $daten->auszahltext .'" ></div>
					<br><hr>
					<div class="col-md-6">Minimum Einzahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahlsumme" value="'. $daten->einzahlsumme .'" ></div>
					<br><hr>
					<div class="col-md-6">Minimum Auszahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahlsumme" value="'. $daten->auszahlsumme .'" ></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (Tag)<br><i>0 = Ohne Einschränkung Nur für Anmeldungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_tag" value="'. $daten->anfragen_tag .'" ></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (User)<br><i>0 = Ohne Einschränkung Nur Ein./Auszahlungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_user" value="'. $daten->anfragen_user .'" ></div>
					<br><hr>
					<div class="col-md-6">Status</div>
					<div class="col-md-6">
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv" '. $aktiv['aktiv'] .'>Aktiv
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_ein" '. $aktiv['aktiv_ein'] .'>Einzahlung aktivieren
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_aus" '. $aktiv['aktiv_aus'] .'>Auszahlung aktivieren
							</label>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">W&auml;hrungsname</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="waehrung_name" value="'. $daten->waehrung_name.'" ></div>
					<br><hr>
					<div class="col-md-6">XX&nbsp;Punkt&nbsp;* XX =&nbsp;XX Externen&nbsp;Waehrung</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="punktewert" value="'. $daten->punktewert .'" ></div>
					<br><hr>
					<div class="col-md-6">XX Externe&nbsp;Waehrung&nbsp;/ XX=&nbsp;= XX&nbsp;Punkt</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="wertepunkt" value="'. $daten->wertepunkt .'" ></div>
					<br><hr>
					<div class="col-md-6">
						<input class="btn btn-danger btn-block" type="Submit" name="updaten_betreiberdaten" value="Loeschen !">
					</div>
					<div class="col-md-6">
						<input class="btn btn-success btn-block" type="Submit" name="updaten_betreiberdaten" value="Updaten">
					</div>
				</div>
			</form>
		</div>
		';
		
		return $aus;
	}
	
	function neu_anlegen(){
		$aus = '
			<form action="" method="post">
				<input class="form-control"  type="hidden" name="schnittstelle">
				<div class="row">
					<div class="col-md-6">Name der Schnitstelle</div>
					<div class="col-md-6"><input type="text" class="form-control" name="name"></div>
					<br><hr>
					<div class="col-md-6">Betreiber-ID</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_id"></div>
					<br><hr>
					<div class="col-md-6">Betreiberpasswort</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_passwort"></div>
					<br><hr>
					<div class="col-md-6">Betreiberkennung<br><i>Sofern notwendig</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_kennung"></div>
					<br><hr>
					<div class="col-md-6">Schnittstelle<br><i>Dateiname der Schnittstelle</i></div>
					<div class="col-md-6">
						<div class="form-group">
							<div class="input-group">
								<input type="text" class="form-control" name="schnittstelle">
								<div class="input-group-addon">.php</div>
							</div>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">Einzahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahltext"></div>
					<br><hr>
					<div class="col-md-6">Auszahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahltext"></div>
					<br><hr>
					<div class="col-md-6">Minimum Einzahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahlsumme"></div>
					<br><hr>
					<div class="col-md-6">Minimum Auszahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahlsumme"></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (Tag)<br><i>0 = Ohne Einschränkung Nur für Anmeldungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_tag"></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (User)<br><i>0 = Ohne Einschränkung Nur Ein./Auszahlungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_user"></div>
					<br><hr>
					<div class="col-md-6">Status</div>
					<div class="col-md-6">
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv">Aktiv
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_ein">Einzahlung aktivieren
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_aus">Auszahlung aktivieren
							</label>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">W&auml;hrungsname</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="waehrung_name"></div>
					<br><hr>
					<div class="col-md-6">XX&nbsp;Punkt&nbsp;* XX =&nbsp;XX Externen&nbsp;Waehrung</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="punktewert"></div>
					<br><hr>
					<div class="col-md-6">XX Externe&nbsp;Waehrung&nbsp;/ XX=&nbsp;= XX&nbsp;Punkt</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="wertepunkt"></div>
					<br><hr>
					<div class="col-md-6">
					</div>
					<div class="col-md-6">
						<input class="btn btn-success btn-block" type="Submit" name="updaten_betreiberdaten" value="Hinzufuegen !">
					</div>
				</div>
			</form>
		';
		
		return $aus;
	}
}

?>
